Bug 121333 - CAN-2004-0409 XChat buffer overflow in socks5 proxy
CAN-2004-0409 XChat buffer overflow in socks5 proxy
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: xchat (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Reed
http://mail.nl.linux.org/xchat-announ...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-20 11:52 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-27 11:14:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2004-04-20 11:52:59 EDT
A flaw in the XChat's Socks-5 proxy code could allow arbitrary code
execution.  To exploit this flaw an attacker would need to create a
malicious socks-5 proxy that the victim connects to.

         CAN-2004-0409 Affects: 3AS 3ES 3WS
         CAN-2004-0409 Affects: 2.1AS 2.1AW 2.1ES 2.1WS

This issue was public on Mon, 5 Apr 2004
Comment 1 Daniel Reed 2004-04-20 17:16:05 EDT
http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=2004-0409 links to
http://mail.nl.linux.org/xchat-announce/2004-04/msg00000.html for 
more information.

"XChat's Socks-5 proxy code is vulnerable to a remote exploit. To
successfully exploit the code, you would need to enable socks5 
traversal (default off) and connect to the attacker's own custom
proxy server.

"If you never intend to use a Socks5 proxy, you are not affected at
all by this issue."
Comment 2 Josh Bressers 2004-06-23 11:17:36 EDT
This will be RHSA-2004:297.
Comment 3 Josh Bressers 2004-10-27 11:14:19 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-585.html
Comment 4 John Flanagan 2004-12-20 12:37:57 EST
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-297.html

Note You need to log in before you can comment on or make changes to this bug.